=== debian/changelog ===
gdal (1.7.3-3build1) oneiric; urgency=low

  * Rebuild for Perl 5.12.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 May 2011 06:57:25 +0100

gdal (1.7.3-3) unstable; urgency=low

  * Added libepsilon support. Note that libepsilon is LGPL-3 (too).
  * Now debian/copyright has moved to DEP5 format and revised on the basis of
    the GDAL LICENSE file.
  * Removed obsolete libtool workaround in debian/rules. 
    (closes: #621930)
  * Now post-removing rpath in main library as well to avoid libtool tricks at
    building time.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 26 Apr 2011 16:52:20 +0200

gdal (1.7.3-2) unstable; urgency=low

  * Moved to alioth git repository, and changed Vcs-* fields.
  * Now using source format 3.0 and quilt for patches.
  * Added ${misc:Depends} due to debhelper use.
  * Moved to debhelper level 8 which is now recommended default.
  * Now adoptin /usr/lib/gdalplugins/X.Y as plugin directory, because
    it will be the same used in 1.9 series. Changed patches as required.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 22 Feb 2011 15:35:34 +0100

gdal (1.7.3-1) unstable; urgency=low

  [ Alan Boudreault ]
  * New upstream release with many fixes.
  * Added libspatialite-dev dependency for libgdal1-dev.

  [ Francesco Paolo Lovergine ]
  * Added sample programs to python-gdal documentation.
  * Merged changelog to be ready for true unstable upload. 
  * Policy bumped to 3.9.1, without changes.
  * Added Build-Conflicts against python-setuptools, because it still
    has problems at building time.
    (closes: #579987)
  * Removed unuseful strict versioning in libgdal-doc suggest for libgdal1-1.7.0.
    (closes: #580172)
  * Added libdap-dev dependency for libgdal1-dev.
    (closes: #598346)
  * Man pages garbling seems now fixed.
    (closes: #598643)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 08 Feb 2011 15:05:36 +0100

gdal (1.7.2-2) experimental; urgency=low

  * Now enable static linking for proj at configuration time.
    (closes: #579989)
  * Fixed a couple of configure options not enabled.
  * Fixed hdf4 patch.
  * Added build-dep on libxml2-dev.
  * Added build-dep on libspatialite-dev to support Spatialite as additional
    format. 
  * Now install gdaldem among gdal-bin utilities.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 07 May 2010 16:46:03 +0200

gdal (1.7.2-1) experimental; urgency=low

  * New upstream release.
  * Merged patch doxygen.dpatch.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 04 May 2010 10:03:26 +0200

gdal (1.7.1-1) experimental; urgency=low

  [ Alan Boudreault ]
  * New upstream release.
  * Patches updated for 1.7.0.
  * Removed patches, applied upstream: cpl_dll.	
  * Removed pre 1.3.38 swig patch (ogr.py.diff).

  [ Francesco Paolo Lovergine ]
  * Now build-dep on netcdf 4 to allow deep testing.
  * Policy bumped to 3.8.4 without changes. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 19 Apr 2010 18:11:49 +0200

gdal (1.6.3-3) unstable; urgency=low

  * Fixed previous dirty workaroud debian/rules for working Doxygen versions.
    (closes: #566069)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 21 Jan 2010 18:21:18 +0100

gdal (1.6.3-2) unstable; urgency=low

  * Addded a couple of useful target in debian/rules to generate ECW/MrSID plugins.
  * Fixed gdal-grass tarball name.
    (closes: #560019)
  * Fixed ecw-grass patch to remove an already provided init function.
  * Added a simple workaround for manpages generated with a redundant _ character
    by current version of Doxygen. It fixes a FTBS caused by missing manpages.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 23 Dec 2009 15:21:21 +0100

gdal (1.6.3-1) unstable; urgency=low

  [ Alan Boudreault ]
  * New upstream release, with bugs fixing.
  * Added MrSID plugins support as useful patch to generate separate
    source tarballs.

  [ Francesco Paolo Lovergine ]
  * Added ECW plugins support as useful patch to generate separate
    source tarballs.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 01 Dec 2009 19:37:58 +0100

gdal (1.6.2-2) unstable; urgency=low

  * Fixed gdal-grass patch to generate a tarball with a name coherent with
    current plugin source package.
  * Added a README.source document.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 11 Sep 2009 11:29:03 +0200

gdal (1.6.2-1) unstable; urgency=low

  * New upstream release, with a bounce of bugs fixing.
  * [PATCH] Added gdal-grass.dpatch to add VERSION to the grass plugin
    tarball. This is useful to force failing when a binNMU happens while
    GDAL is transitioning to a major version. See gdal-grass package to 
    understand  how it is managed. This trick does allow a proper fix
    of #544978.
  * Removed .egg-info stripping.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 08 Sep 2009 16:51:50 +0200

gdal (1.6.1-3) unstable; urgency=low

  * Upload to unstable, due to hdf4 -alt support transitioned from experimental.
    (closes: #540403)
  * Build-dep on libmysqlclient-dev and removed duplicated build-dep. Now -dev
    package also depends on the same package.
    (closes: #538542)
  * Build-dep on libhdf5-serial-dev >= 1.8.3 to be safe about linking HDF5 1.8.
  * Ack previous NMU by aba. This version is also compatible with current
    swing version.
    (closes: #543629, #542968)
  * Removed libtool .la file as required by current release goal for squeeze.
  * Policy bumped to 3.8.3.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 31 Aug 2009 15:51:21 +0200

gdal (1.6.1-2) experimental; urgency=low

  * Removed superfluous patches, applied upstream: mysql5.1, swig1338
  * [PATCH] Added cpl_ddl.dpatch to fix missing external declaration. Note that 
    the default -fvisibility=hidden is propagated into python stuff and other 
    swig bindings.
    (closes: #529745)
  * Fixed watch file url.
    (closes: #504715)


