=== debian/watch ===
version=3
http://download.osgeo.org/gdal gdal-([0-9].*)\.tar\.gz
