## gdal 1.8.0

=== debian/changelog ===
gdal (1.8.0-1) experimental; urgency=low

  * New upstream release.
  * Patchset update for the current major release.
  * Added libepsilon support.
  * Now debian/copyright has moved to DEP5 format and revised on the basis of
    the GDAL LICENSE file.
  * Swig generated stuff for perl is now removed just before building, not
    at clean time to be more nice against git-bp.
  * Added gdallocationinfo installation in gdal-bin.
  * Policy bumped to 3.9.2, no changes required.
  * Fixed manpages oddities.
    (closes: #615535)
  * Added some more cleanup instructions.
  * Now post-removing rpath in main library as well to avoid libtool tricks at
    building time.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 26 Apr 2011 17:55:11 +0200
