=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
 Build-Depends: debhelper (>= 8), zlib1g-dev, libnetcdf-dev (>= 1:4.0.0),
- libjasper-dev, libpng12-dev, libjpeg62-dev, libgif-dev,
+ libjasper-dev, libpng12-dev, libjpeg-dev, libgif-dev,
  libhdf4-alt-dev, libhdf5-serial-dev (>=1.6.6), libpq-dev, libxerces-c2-dev, unixodbc-dev (>= 2.2.11),
  python-dev, python-numpy, doxygen, d-shlibs, libgeos-dev, libmysqlclient-dev, python-all-dev (>= 2.3.5-11~), 
  python-central (>= 0.5), libcurl4-gnutls-dev, libsqlite3-dev, libogdi3.2-dev,
  ruby, ruby1.8-dev, chrpath, swig, libtool (>= 1.5.24-2), patch, libexpat1-dev, libproj-dev,
  libdap-dev, libxml2-dev, libspatialite-dev (>= 2.4.0~rc2-4), libepsilon-dev
 Build-Conflicts: python-setuptools
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 XS-Python-Version: all
 Homepage: http://www.gdal.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/gdal.git
 Vcs-Git: git://git.debian.org/git/pkg-grass/gdal.git
 
-Package: libgdal1-1.7.0
+Package: libgdal1-1.8.0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -44,7 +44,7 @@
 Package: libgdal1-dev
 Section: libdevel
 Architecture: any
-Depends: libgdal1-1.7.0 (=${binary:Version}), libc6-dev, libnetcdf-dev, 
+Depends: libgdal1-1.8.0 (=${binary:Version}), libc6-dev, libnetcdf-dev, 
  libjasper-dev|libjasper-1.701-dev, libpng12-dev, libjpeg62-dev, libgif-dev, libhdf4-alt-dev, 
  libpq-dev, libxerces-c2-dev, unixodbc-dev, libsqlite3-dev, libgeos-dev,
  libmysqlclient-dev, libhdf5-serial-dev, libltdl3-dev, libcurl4-dev|libcurl3-dev,
@@ -74,7 +74,7 @@
 Package: libgdal-doc
 Section: doc
 Architecture: all
-Suggests: libgdal1-1.7.0 
+Suggests: libgdal1-1.8.0 
 Depends: ${misc:Depends} 
 Homepage: http://www.gdal.org/#index_userdocs
 Description: Documentation for the Geospatial Data Abstraction Library
