## gdal 1.8.1

=== debian/changelog ===
gdal (1.8.1-2~exp3) experimental; urgency=low

  * Fixed .common symbol file to drop conditionals.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 23 Nov 2011 14:23:29 +0100

gdal (1.8.1-2~exp2) experimental; urgency=low

  * Changed organization of symbol files in one common file and
    multiple .symbols.arch file.
  * Now normalized to conventional GDAL library name and dropping the Debian 
    specific versioned naming scheme for the library. 
    Dropped patch: libname, python.
  * Added sparc and mipsel symbol files.
  * Updated NEWS file with basic information about changes in the package.
  * Removed now obsolete libtool build-dep.
    (closes: #639887)
  * Now avoid installing superfluous stuff in libgdal-perl. Thanks lintian.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 11 Oct 2011 14:41:31 +0200

gdal (1.8.1-2~exp1) experimental; urgency=low

  * Introduced per arch symbol files with demangled C++ symbols.
    They are all included by the main symbol file after the C symbols.
    Provided archs: amd64, armel, i386, ia64, mips, powerpc and s390.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 28 Sep 2011 00:22:42 +0200

gdal (1.8.1-1) experimental; urgency=low

  [ Aron Xu ]
  * Really use libjpeg-dev to allow transition.
    (Closes: #629964)
  * Build-Depends on libpng-dev instead of libpng12-dev.
  * Transition to dh_python2. (Closes: #616821)

  [ Francesco Paolo Lovergine ]
  * New upstream release with fixes for 1.8 series.
    (closes: #636053, #638073)
  * Revised for migration to dh_python2.
    (closes: #616821)
  * Merged lintian-overrides handling from 1.7 branch.
  * This version is already compatible with libdap >= 3.10, no patch needed.
  * Still retaining chrpath trick to maintain compatibility against libtool 
    inner use in swing-enabled bindings.
  * Updated debian/watch file to cope with release-candidate versions which
    results newer than final ones.
  * Added symbol file to track changes in exported symbols from now on.
  * The -fvisibility=hidden has been removed.
  * Now linking uses a version script to include symbolic versions to all
    global symbols.
  * Added -Bsymbolic to force binding of global symbols to definition within
    the library. This should solve problems in linking against both tiff,
    geotiff and gdal. That should have no impact against netcdf, hdf5 and 
    other common formats.
    (closes: #558733)
  * Merged a lintian override from 1.7 series for TIFF library embedding.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 27 Sep 2011 12:59:27 +0200

gdal (1.8.0-2) experimental; urgency=low

  * Patch: symver. Added symbol versioning (GDAL_X.Y) for all symbols 
    exported by GDAL.
    (closes: #558733)
  * Patch: spatialite. Added explicit linking to sqlite3 for spatialite.
    This is Debian specific, because Debian spatialite does not embed Sqlite
    functions as in upstream release.
  * Merged with 1.7 series: added epsilon patch to fix now unsupported unnamed
    union use.
  * Versioned strict build-dependency on libepsilon.
  * Depends on libjpeg-dev.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 12 May 2011 13:11:06 +0200
