=== debian/rules ===
--- 
+++ 
@@ -67,7 +67,6 @@
 			--includedir=\$$\{prefix\}/include/gdal \
 			--with-threads \
 			--with-grass=no \
-			--with-hide-internal-symbols=yes \
 			--with-libtiff=internal \
 			--with-geotiff=internal \
 			--with-jasper \
@@ -132,7 +131,8 @@
 	rm -rf $(CURDIR)/html $(CURDIR)/doc/br/html $(CURDIR)/doc/ru/html
 	rm -rf $(CURDIR)/frmts/o/.libs
 	rm -f  $(CURDIR)/islibdappost310.*
-	
+	# Removes per arch symbols for compatible archs
+	rm -f $(CURDIR)/debian/libgdal*.symbols.kfreebsd-i386 $(CURDIR)/debian/libgdal*.symbols.kfreebsd-amd64
 	dh_clean 
 
 install: build
@@ -143,7 +143,7 @@
 	
 	cp `ls GDALmake.opt-*|tail -1` GDALmake.opt
 	$(MAKE) install BINDINGS="perl ruby" DESTDIR=$(CURDIR)/debian/tmp \
-			INST_DATA="\$$(prefix)/share/gdal/1.8" 
+			INST_DATA="\$$(prefix)/share/gdal/$(GDAL_MAJOR).$(GDAL_MINOR)" 
 	$(MAKE) install-docs DESTDIR=$(CURDIR)/debian/tmp \
 		"INST_DOCS=\$$(prefix)/share/doc/libgdal-doc"\
 		"INST_MAN=\$$(prefix)/share/man" 
@@ -157,7 +157,7 @@
 	install -o root -g root -m 755 $(CURDIR)/swig/python/scripts/*.py $(CURDIR)/debian/tmp/usr/bin/.                                        
 	
 	# removing license file
-	rm -f $(CURDIR)/debian/tmp/usr/share/gdal/1.8/LICENSE.TXT
+	rm -f $(CURDIR)/debian/tmp/usr/share/gdal/$(GDAL_MAJOR).$(GDAL_MINOR)/LICENSE.TXT
 	# removing empty packlist MakeMaker files 
 	-find $(CURDIR)/debian/tmp$(PERL_PATH) -type f -name .packlist -exec rm -f {} \;
 	# removing embedded rpath in perl shlibs
@@ -174,6 +174,9 @@
 	# copy sample programs for python-gdal
 	install -o root -g root -d $(CURDIR)/debian/tmp/usr/share/doc/python-gdal/examples
 	install -o root -g root -m 755 $(CURDIR)/swig/python/samples/*.py $(CURDIR)/debian/tmp/usr/share/doc/python-gdal/examples/.
+	# create lintian overrides file
+	echo "libgdal1: embedded-library usr/lib/libgdal.so.$$(basename debian/tmp/usr/lib/libgdal.so.*.*.*|cut -d. -f3,4,5): tiff" \
+		>$(CURDIR)/debian/libgdal1.lintian-overrides
 
 binary-common: 
 	dh_testdir
@@ -186,12 +189,15 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	#find $(CURDIR)/debian/python-gdal -name GDAL-$(GDAL_MAJOR).$(GDAL_MINOR).$(GDAL_PATCH).egg-info -delete || true
-	dh_pycentral -X.info
+	dh_lintian
+	dh_python2 -X.info
 	dh_perl
+	# Adds per arch symbols for compatible archs
+	ln -f $(CURDIR)/debian/libgdal*.symbols.i386 $(CURDIR)/debian/libgdal1.symbols.kfreebsd-i386
+	ln -f $(CURDIR)/debian/libgdal*.symbols.amd64 $(CURDIR)/debian/libgdal1.symbols.kfreebsd-amd64
 	dh_makeshlibs
 	dh_installdeb
-	dh_shlibdeps -L libgdal1-1.8.0 -l debian/libgdal1-1.8.0/usr/lib
+	dh_shlibdeps -L libgdal1 -l debian/libgdal1/usr/lib
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
